%define srcname ktp-auth-handler
%define rel 1

Summary: UI/Kwallet Integration for telepathy-kde
Name:  telepathy-kde-auth-handler
Version: 0.7.0
Release: %mkrel %{rel}
Url:  https://projects.kde.org/projects/playground/network/telepathy/telepathy-auth-handler
Source0: http://download.kde.org/stable/kde-telepathy/%{version}/src/%{srcname}-%{version}.tar.bz2
License: GPLv2+
Group: Networking/Instant messaging

BuildRequires: telepathy-kde-common-internals-devel
BuildRequires: pkgconfig(QJson)
BuildRequires: pkgconfig(libsignon-qt)
BuildRequires: pkgconfig(accounts-qt)

Requires: telepathy-kde-common-internals-core
Requires: qca2-plugin-openssl

%description
Provide UI/KWallet Integration For Passwords and SSL Errors on Account Connect

%files -f ktp-auth-handler.lang
%{_kde_libdir}/kde4/libexec/ktp-auth-handler
%{_datadir}/telepathy/clients/KTp.SASLHandler.client
%{_datadir}/telepathy/clients/KTp.ConfAuthObserver.client
%{_datadir}/telepathy/clients/KTp.TLSHandler.client
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.SASLHandler.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.ConfAuthObserver.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.TLSHandler.service

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang ktp-auth-handler


%changelog
* Mon Nov 04 2013 lmenut <lmenut> 0.7.0-1.mga4
+ Revision: 549306
- Update to 0.7.0

* Tue Oct 22 2013 umeabot <umeabot> 0.7-0.beta1.3.mga4
+ Revision: 541438
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 mikala <mikala> 0.7-0.beta1.2.mga4
+ Revision: 494577
- Add pkgconfig(libsignon-qt) & pkgconfig(accounts-qt) as BR

* Tue Oct 08 2013 mikala <mikala> 0.7-0.beta1.1.mga4
+ Revision: 493009
- Update tarball to 0.6.80

* Fri Sep 27 2013 sander85 <sander85> 0.6.3-2.mga4
+ Revision: 487707
- Requires qca2-plugin-openssl for jabber accounts

* Wed Aug 14 2013 fwang <fwang> 0.6.3-1.mga4
+ Revision: 466276
- new version 0.6.3

* Tue May 28 2013 mikala <mikala> 0.6.2-1.mga4
+ Revision: 429055
- Update tarball to 0.6.2

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407394
- Update tarball to 0.6.0

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402380
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399555
- Update tarball to 0.5.3
- Fix files list

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 384250
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332481
- Update tarball to 0.5.2
- Fix files list

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306895
- Update tarball to 0.5.1

* Fri Aug 31 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285994
- Update tarball to 0.5.0
- Fix requires

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271898
- New version 0.4.0

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202923
- Add missing requires for translation
- Update tarball to 0.3.0
- Fix group

* Sun Nov 27 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173200
- imported package telepathy-kde-auth-handler

